DROP LANGUAGE(7)

NAME
DROP LANGUAGE - remove a procedural language

SYNOPSIS

DROP [ PROCEDURAL ] LANGUAGE [ IF EXISTS ] name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP LANGUAGE removes the definition of a previously registered procedural language. You must be a superuser or the owner of the language to use DROP LANGUAGE.

PARAMETERS

IF EXISTS
    Do not throw an error if the language does not exist. A notice is issued in this case.

name
    The name of an existing procedural language. For backward compatibility, the name can be enclosed by single quotes.

CASCADE
    Automatically drop objects that depend on the language (such as functions in the language).

RESTRICT
    Refuse to drop the language if any objects depend on it. This is the default.

EXAMPLES

This command removes the procedural language plsample:

DROP LANGUAGE plsample;

COMPATIBILITY

There is no DROP LANGUAGE statement in the SQL standard.

SEE ALSO
ALTER LANGUAGE [alter_language(7)], CREATE LANGUAGE [create_language(7)], droplang(1)